Bug 517124 - Oxygen icon theme contains obsolete emacs icon
Oxygen icon theme contains obsolete emacs icon
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: MoveUpstream, Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-12 12:44 EDT by Andreas Schwab
Modified: 2010-06-28 10:19 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:06:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 214945 None None None Never

  None (edit)
Description Andreas Schwab 2009-08-12 12:44:36 EDT
The Oxygen icon theme should not include an emacs icon, since emacs comes with its own one which is even scalable.
Comment 1 Rex Dieter 2009-08-12 12:48:34 EDT
hrm, but is the new one oxygen-styled? :)

Either way, I'd prefer this to be discussed/handled upstream @ bugs.kde.org (if you don't mind).
Comment 2 Andreas Schwab 2009-08-26 05:28:51 EDT
Definitely not worse than the old one.
Comment 3 Andreas Schwab 2009-09-09 05:29:55 EDT
Note that /usr/share/icons/oxygen/*/apps/emacs.png are part of kdebase, not oxygen-icon-theme.
Comment 4 Steven M. Parrish 2009-09-12 21:22:31 EDT
Thank you for taking the time to report this issue.

This is an issue that needs to be addressed by the upstream developers. Please report this at http://bugs.kde.org and then add the upstream report information to this report.  We will monitor the upstream report for a resolution to this issue, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Rex Dieter 2009-09-24 12:27:27 EDT
Well, looks like there's issues with emacs' icon, in that it's not discoverable,

in emacs, I see:

/usr/share/emacs/23.1/etc/images/icons/hicolor

these really need to be in
/usr/share/icons/hicolor
if there's any expectation for the system to find/use these icons.

Furthermore, be aware that hicolor is a fallback, native-theme icons will always be preferred.

That said, my only suggestion would be to follow through with Steven's suggestion to get kde/oxygen upstream to update the icon, if you still want to do that.

But, as far as fedora goes, I don't see anything for us to do here (short of manually overriding the icon ourselves with emacs' copy, but I'm uncomfortable doing that without upstream contact and collaboration.... ie, see previous comment).
Comment 6 Andreas Schwab 2009-09-24 12:38:15 EDT
$ rpm -qf /usr/share/icons/hicolor/scalable/apps/emacs.svg
emacs-23.1-7.fc12.x86_64
Comment 7 Rex Dieter 2009-09-24 12:53:02 EDT
not on F11 (which this bug was filed against), but glad to see that was fixed.
Comment 8 Andreas Schwab 2009-09-25 05:14:05 EDT
???

$ rpm -qf /usr/share/icons/hicolor/scalable/apps/emacs.svg
emacs-23.1-3.fc11.x86_64
Comment 9 Bug Zapper 2010-04-28 05:43:38 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 10:06:17 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Rex Dieter 2010-06-28 10:16:08 EDT
Fwiw, I think we nailed this with

kdebase-4.4.1-2

* Mon Mar 15 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.1-2
- drop kappfinder (keep option for -kappfinder subpkg)

where we droppped kappfinder (and it's plethora of included and largely deprecated icons).

Note You need to log in before you can comment on or make changes to this bug.